<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="รายงานสรุป_บค_จ่ายงาน_บันทึกผล_01_จ่ายงาน" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="4c7e70d4-6434-48f7-943f-049f4b0111a0">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="db.xml"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<style name="DefaultStyle" isDefault="true" fontName="TH SarabunPSK" fontSize="14">
		<paragraph leftIndent="1" rightIndent="1"/>
	</style>
	<subDataset name="Dataset1" uuid="d9027af7-d949-4f9e-89ef-8bf227425f2c">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w1" value="69"/>
		<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w2" value="925"/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="db.xml"/>
		<parameter name="P_START_DATE" class="java.lang.String"/>
		<parameter name="P_END_DATE" class="java.lang.String"/>
		<parameter name="P_GROUP_WORK_DIVISION" class="java.lang.String"/>
		<parameter name="P_LANGUAGE" class="java.lang.String"/>
		<parameter name="P_DIST_ID" class="java.lang.Integer"/>
		<parameter name="P_WORK_EMP_ID" class="java.lang.String"/>
		<queryString language="SQL">
			<![CDATA[SELECT  VEN.VCENTER_ID,
CASE WHEN VEN.VCENTER_NO IS NOT NULL THEN VEN.VCENTER_NO END || CASE WHEN VEN.EMP_ID IS NOT NULL THEN  ':' ||VEN.EMP_ID END || CASE WHEN VEN.EMP_ID IS NOT NULL THEN ' '|| VEN.EMP_NAME WHEN VEN.VCENTER_NAME IS NOT NULL THEN ' '||VEN.VCENTER_NAME END AS VENDER_NAME,
 LINE.ASSIGN_DATE,REQ_NO,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},CUST.CUST_NAME_TH,CUST.CUST_NAME_EN) AS CUST_NAME,
MET.METER_SIZE,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},V_ADD.ADDR_NAME_TH,V_ADD.ADDR_NAME_EN) AS CA_ADDR_NAME,
INS.UI,INS.MRU_ID,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},GT.TYPE_NAME_TH,GT.TYPE_NAME_EN) AS REQUEST_NAME,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},CMD.NAME_TH,CMD.NAME_TH) AS COMMAND_NAME,
LINE.WORK_DATE,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},CONFIG.NAME_TH,CONFIG.NAME_TH) AS CAUSE_NAME,
CASE WHEN (SELECT COUNT(LINE.OPERATION_ID) FROM REQ_T_REQUEST RE INNER JOIN REQ_T_REQUEST_LINE_OPERATION LINE ON LINE.REQ_ID = RE.REQ_ID AND LINE.RECORD_STATUS ='A' AND LINE.DIVISION =25 WHERE RE.REQ_ID = REQ.REQ_ID ) > 1 THEN
'เก่า' ELSE 'ใหม่' END AS WORK_TASK
FROM REQ_T_REQUEST REQ
LEFT JOIN REQ_M_GROUP_TYPE GT ON GT.GROUP_CODE = REQ.GROUP_CODE AND GT.TYPE_CODE = REQ.TYPE_CODE AND GT.RECORD_STATUS ='A'
INNER JOIN CONTRACT_ACCOUNT CA ON CA.CA = REQ.CA_ID AND CA.STATUS ='01'
INNER JOIN V_SCS_CUSTOMER CUST ON CUST.CUST_ID = REQ.CUST_ID 
INNER JOIN INSTALLATION INS ON INS.UI = CA.UI AND INS.STATUS = '01'
INNER JOIN CA_ADDRESS_MAP CA_ADD ON CA_ADD.CA = CA.CA AND CA_ADD.TYPE = 1 
LEFT JOIN V_SCS_ADDRESS V_ADD ON V_ADD.ADDR_NO = CA_ADD.ADDR_NO 
LEFT JOIN METER_SIZE_MASTER MET ON MET.METER_SIZE_ID = INS.METER_SIZE_ID AND MET.LANGUAGE_CODE = $P{P_LANGUAGE} 
INNER JOIN REQ_T_REQUEST_LINE_OPERATION LINE ON LINE.REQ_ID = REQ.REQ_ID AND LINE.RECORD_STATUS ='A' AND LINE.DIVISION =25
AND LINE.STATUS = 'OPEN' AND LINE.FLOW_STATUS ='MS_PRE_SAVE_RESULT' 
LEFT JOIN REQ_M_COMMAND CMD ON CMD.COMMAND_ID = LINE.CMD_CURRENT AND CMD.RECORD_STATUS='A'
LEFT JOIN REQ_T_REQUEST_SAVE_MS SAVE_MS ON SAVE_MS.REQ_ID = REQ.REQ_ID AND SAVE_MS.RECORD_STATUS ='A'
LEFT JOIN (SELECT c.* FROM adm_m_config c 
START WITH c.PARENT_config_ID IS NULL AND c.config_code = 'MS_OPTION_CAUSE' 
CONNECT BY PRIOR c.config_ID = c.PARENT_config_ID AND C.RECORD_STATUS = 'A') CONFIG ON CONFIG.CONFIG_CODE = SAVE_MS.CAUSE_STATUS
LEFT JOIN V_SCS_VENDER_CENTER VEN ON VEN.VCENTER_NO = LINE.GROUP_WORK_DIVISION AND VEN.EMP_ID = LINE.WORK_EMPID
WHERE REQ.RECORD_STATUS = 'A'
AND REQ.STATUS NOT IN('COMPLETE','CLOSE','CANCEL')
AND REQ.RESPONSIBLE_DIST_ID =  $P{P_DIST_ID} 
AND TRUNC(LINE.ASSIGN_DATE) BETWEEN $P{P_START_DATE} AND $P{P_END_DATE}
AND NVL(LINE.GROUP_WORK_DIVISION,-1) = NVL($P{P_GROUP_WORK_DIVISION},-1) AND NVL(LINE.WORK_EMPID,-1) = NVL($P{P_WORK_EMP_ID},-1)
ORDER BY REQ.REQ_NO ASC]]>
		</queryString>
		<field name="VCENTER_ID" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.label" value="VCENTER_ID"/>
		</field>
		<field name="VENDER_NAME" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="VENDER_NAME"/>
		</field>
		<field name="ASSIGN_DATE" class="java.sql.Date">
			<property name="com.jaspersoft.studio.field.label" value="ASSIGN_DATE"/>
		</field>
		<field name="REQ_NO" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.label" value="REQ_NO"/>
		</field>
		<field name="CUST_NAME" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="CUST_NAME"/>
		</field>
		<field name="METER_SIZE" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="METER_SIZE"/>
		</field>
		<field name="CA_ADDR_NAME" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="CA_ADDR_NAME"/>
		</field>
		<field name="UI" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.label" value="UI"/>
		</field>
		<field name="MRU_ID" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="MRU_ID"/>
		</field>
		<field name="REQUEST_NAME" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="REQUEST_NAME"/>
		</field>
		<field name="COMMAND_NAME" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="COMMAND_NAME"/>
		</field>
		<field name="WORK_DATE" class="java.sql.Date">
			<property name="com.jaspersoft.studio.field.label" value="WORK_DATE"/>
		</field>
		<field name="CAUSE_NAME" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="CAUSE_NAME"/>
		</field>
		<field name="WORK_TASK" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.label" value="WORK_TASK"/>
		</field>
	</subDataset>
	<subDataset name="summarydataset" uuid="5b8f523b-fd42-40ca-add1-67e9a85cb96f">
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="db.xml"/>
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w1" value="281"/>
		<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w2" value="714"/>
		<parameter name="P_START_DATE" class="java.lang.String"/>
		<parameter name="P_END_DATE" class="java.lang.String"/>
		<parameter name="P_GROUP_WORK_DIVISION" class="java.lang.String"/>
		<parameter name="P_LANGUAGE" class="java.lang.String"/>
		<parameter name="P_DIST_ID" class="java.lang.Integer"/>
		<parameter name="P_WORK_EMP_ID" class="java.lang.String"/>
		<queryString>
			<![CDATA[SELECT count(REQ_NO) as totalReq
FROM REQ_T_REQUEST REQ
LEFT JOIN REQ_M_GROUP_TYPE GT ON GT.GROUP_CODE = REQ.GROUP_CODE AND GT.TYPE_CODE = REQ.TYPE_CODE AND GT.RECORD_STATUS ='A'
INNER JOIN CONTRACT_ACCOUNT CA ON CA.CA = REQ.CA_ID AND CA.STATUS ='01'
INNER JOIN V_SCS_CUSTOMER CUST ON CUST.CUST_ID = REQ.CUST_ID 
INNER JOIN INSTALLATION INS ON INS.UI = CA.UI AND INS.STATUS = '01'
INNER JOIN CA_ADDRESS_MAP CA_ADD ON CA_ADD.CA = CA.CA AND CA_ADD.TYPE = 1 
LEFT JOIN V_SCS_ADDRESS V_ADD ON V_ADD.ADDR_NO = CA_ADD.ADDR_NO 
LEFT JOIN METER_SIZE_MASTER MET ON MET.METER_SIZE_ID = INS.METER_SIZE_ID AND MET.LANGUAGE_CODE = $P{P_LANGUAGE} 
INNER JOIN REQ_T_REQUEST_LINE_OPERATION LINE ON LINE.REQ_ID = REQ.REQ_ID AND LINE.RECORD_STATUS ='A' AND LINE.DIVISION =25
AND LINE.STATUS = 'OPEN' AND LINE.FLOW_STATUS ='MS_PRE_SAVE_RESULT' 
LEFT JOIN REQ_M_COMMAND CMD ON CMD.COMMAND_ID = LINE.CMD_CURRENT AND CMD.RECORD_STATUS='A'
LEFT JOIN REQ_T_REQUEST_SAVE_MS SAVE_MS ON SAVE_MS.REQ_ID = REQ.REQ_ID AND SAVE_MS.RECORD_STATUS ='A'
LEFT JOIN (SELECT c.* FROM adm_m_config c 
START WITH c.PARENT_config_ID IS NULL AND c.config_code = 'MS_OPTION_CAUSE' 
CONNECT BY PRIOR c.config_ID = c.PARENT_config_ID AND C.RECORD_STATUS = 'A') CONFIG ON CONFIG.CONFIG_CODE = SAVE_MS.CAUSE_STATUS
LEFT JOIN V_SCS_VENDER_CENTER VEN ON VEN.VCENTER_NO = LINE.GROUP_WORK_DIVISION AND VEN.EMP_ID = LINE.WORK_EMPID
WHERE REQ.RECORD_STATUS = 'A'
AND REQ.STATUS NOT IN('COMPLETE','CLOSE','CANCEL')
AND REQ.RESPONSIBLE_DIST_ID =  $P{P_DIST_ID} 
AND TRUNC(LINE.ASSIGN_DATE) BETWEEN $P{P_START_DATE} AND $P{P_END_DATE}
AND NVL(LINE.GROUP_WORK_DIVISION,-1) = NVL($P{P_GROUP_WORK_DIVISION},-1) AND NVL(LINE.WORK_EMPID,-1) = NVL($P{P_WORK_EMP_ID},-1)
ORDER BY REQ.REQ_NO ASC]]>
		</queryString>
		<field name="TOTALREQ" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.label" value="TOTALREQ"/>
		</field>
	</subDataset>
	<parameter name="P_LANGUAGE" class="java.lang.String"/>
	<parameter name="P_DIST_ID" class="java.lang.Integer"/>
	<parameter name="P_GROUP_WORK_DIVISION" class="java.lang.String"/>
	<parameter name="P_WORK_EMP_ID" class="java.lang.String"/>
	<parameter name="P_START_DATE" class="java.lang.String"/>
	<parameter name="P_END_DATE" class="java.lang.String"/>
	<queryString>
		<![CDATA[select  DIST_SHORT, DIST_DESC  ,SYSDATE AS CURRENT_DATE,
TO_CHAR(SYSDATE,'HH24:MI:SS')AS CURRENT_TIME
from mea_district where dist_id = $P{P_DIST_ID} and  language_code  = $P{P_LANGUAGE}]]>
	</queryString>
	<field name="DIST_SHORT" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="DIST_SHORT"/>
	</field>
	<field name="DIST_DESC" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="DIST_DESC"/>
	</field>
	<field name="CURRENT_DATE" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.label" value="CURRENT_DATE"/>
	</field>
	<field name="CURRENT_TIME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="CURRENT_TIME"/>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="91" splitType="Stretch">
			<staticText>
				<reportElement x="270" y="30" width="300" height="30" uuid="d0814d51-74cc-453a-ae2a-d82bd94ec924"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[รายงานสรุปการจ่ายงานของ]]></text>
			</staticText>
			<textField>
				<reportElement x="270" y="0" width="300" height="30" uuid="55095edc-f63d-4c0d-8632-379cec2f19c6"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{DIST_DESC}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="670" y="0" width="130" height="30" uuid="0699fc70-4757-495c-97e4-11db43fa782b"/>
				<textFieldExpression><![CDATA["วันที่ "+($F{CURRENT_DATE}!=null?  th.or.mea.scs.util.DateUtils.toDateDDMMYYYYSimpleFormat($F{CURRENT_DATE},$P{P_LANGUAGE}):"-")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="670" y="30" width="130" height="30" uuid="db73c7e9-52da-468c-8778-8790bfcdbb3b"/>
				<textFieldExpression><![CDATA[" เวลา "+($F{CURRENT_TIME}!=null?$F{CURRENT_TIME}:"-")]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="670" y="62" width="32" height="16" uuid="e6c3b976-9050-4470-b105-b26eaf2498b9">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement>
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfFontName="" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[หน้า :]]></text>
			</staticText>
			<textField>
				<reportElement x="702" y="63" width="14" height="16" uuid="33de634b-67df-4270-85b8-215c151885a2">
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="716" y="63" width="10" height="16" uuid="5c91b9c9-cd82-44d1-8c20-b0ae95eb8709">
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA["/"]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement x="726" y="63" width="14" height="16" uuid="21d48d7b-8045-4237-8fb8-b5526d782fcf">
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="265" y="60" width="310" height="30" uuid="8c8b53ed-a4f3-4da1-a87e-0db6a3dfe09c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["วันที่ "+$P{P_START_DATE}+" ถึง "+$P{P_END_DATE}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="1" width="100" height="30" uuid="7f504cdf-bcce-431c-8393-864c0492e09b"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[ผู้ใช้ : MEACS10]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="31" width="121" height="30" uuid="2fc12373-ba4a-498f-b4d7-9ffefec157ac"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[โปรแกรม:ZISUWMR019]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="60" width="100" height="30" uuid="714c6257-8667-45f7-8384-73029f44387b"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[ระบบ:PRD-900]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="32" splitType="Stretch">
			<textField>
				<reportElement x="54" y="0" width="67" height="30" uuid="bdf15a4d-f7bf-44b1-974d-6876a4f7fae3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{P_GROUP_WORK_DIVISION}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1" y="0" width="53" height="30" uuid="1a53d2e9-529f-4876-bf46-b9547231a299"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{DIST_SHORT}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="120" y="0" width="250" height="30" uuid="926be884-f457-47b4-88f9-45a10f045e49"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[แผนก บค. กลุ่มงานติดตั้ง นายสมนึก]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="51" splitType="Stretch">
			<staticText>
				<reportElement x="1" y="0" width="53" height="50" uuid="9be36246-73ab-4c1a-8ce6-a5ff1fd445ea"/>
				<textElement textAlignment="Center"/>
				<text><![CDATA[วันที่จ่ายงาน]]></text>
			</staticText>
			<staticText>
				<reportElement x="54" y="0" width="67" height="50" uuid="4c305d09-9c56-4e03-b680-b645377ad9f2"/>
				<text><![CDATA[ใบสั่งงานเลขที่
เลขรับเรื่อง]]></text>
			</staticText>
			<staticText>
				<reportElement x="121" y="0" width="210" height="50" uuid="9d6c372c-d03a-494e-951a-89f7d93a139c"/>
				<text><![CDATA[ชื่อผู้ใช้ไฟ
ขนาดเครื่องวัดฯ
สถานที่ขอใช้ไฟ]]></text>
			</staticText>
			<staticText>
				<reportElement x="331" y="0" width="57" height="50" uuid="ee8738fd-0caf-4ebe-aea7-5e7af1aa363f"/>
				<text><![CDATA[เครื่องวัดฯเลขที่ MRU]]></text>
			</staticText>
			<staticText>
				<reportElement x="388" y="0" width="212" height="50" uuid="38205106-2d80-4196-b951-dc76a820eaf1"/>
				<text><![CDATA[ประเภทบริการ
คำสั่งงาน]]></text>
			</staticText>
			<staticText>
				<reportElement x="600" y="0" width="151" height="50" uuid="0069f209-5fac-4bc9-a887-38f74783f57a"/>
				<text><![CDATA[วันที่ดำเนินการ
สาเหตุ]]></text>
			</staticText>
			<staticText>
				<reportElement x="751" y="0" width="50" height="50" uuid="cd28dae7-46fe-416d-973f-80eca146cd21"/>
				<text><![CDATA[งานเก่า/ใหม่]]></text>
			</staticText>
			<line>
				<reportElement x="1" y="50" width="799" height="1" uuid="e158fd31-9e39-49bf-9649-bb3ab8412fbc"/>
			</line>
			<line>
				<reportElement x="0" y="0" width="799" height="1" uuid="6a385636-dd88-4daf-aa23-4fa64434bcad"/>
			</line>
		</band>
	</columnHeader>
	<detail>
		<band height="127" splitType="Stretch">
			<componentElement>
				<reportElement x="1" y="0" width="800" height="90" uuid="5bebf9a9-f771-4d6e-a6e9-7c6e7cb9f6d1"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Dataset1" uuid="aa334968-1bc0-4797-b21c-654c26785570">
						<datasetParameter name="P_DIST_ID">
							<datasetParameterExpression><![CDATA[$P{P_DIST_ID}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="P_LANGUAGE">
							<datasetParameterExpression><![CDATA[$P{P_LANGUAGE}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="P_GROUP_WORK_DIVISION">
							<datasetParameterExpression><![CDATA[$P{P_GROUP_WORK_DIVISION}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="P_WORK_EMP_ID">
							<datasetParameterExpression><![CDATA[$P{P_WORK_EMP_ID}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="P_START_DATE">
							<datasetParameterExpression><![CDATA[$P{P_START_DATE}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="P_END_DATE">
							<datasetParameterExpression><![CDATA[$P{P_END_DATE}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="90" width="800">
						<textField isBlankWhenNull="true">
							<reportElement x="0" y="0" width="53" height="90" uuid="ec2aab93-3940-4d41-a2c0-8bf0893bdcd2"/>
							<box>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textElement textAlignment="Left">
								<paragraph leftIndent="1"/>
							</textElement>
							<textFieldExpression><![CDATA[th.or.mea.scs.util.DateUtils.toDateDDMMYYYYSimpleFormat($F{ASSIGN_DATE},$P{P_LANGUAGE})]]></textFieldExpression>
						</textField>
						<textField isBlankWhenNull="true">
							<reportElement x="53" y="0" width="67" height="90" uuid="0f820f73-7cfd-47c8-9b62-7fb3ce3be756"/>
							<box>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textElement textAlignment="Left"/>
							<textFieldExpression><![CDATA[$F{REQ_NO}]]></textFieldExpression>
						</textField>
						<textField isBlankWhenNull="true">
							<reportElement x="120" y="0" width="210" height="30" uuid="4b33ab9d-f068-4d2c-8c09-c72ae06c1e95"/>
							<box>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textFieldExpression><![CDATA[$F{CUST_NAME}]]></textFieldExpression>
						</textField>
						<textField isBlankWhenNull="true">
							<reportElement x="120" y="30" width="210" height="30" uuid="f4293529-abbc-462b-952c-47b0f645f409"/>
							<box>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textFieldExpression><![CDATA[$F{METER_SIZE}]]></textFieldExpression>
						</textField>
						<textField isBlankWhenNull="true">
							<reportElement x="120" y="60" width="479" height="30" uuid="f27d678d-601a-4f65-9620-5b2fe70d3313"/>
							<box>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textFieldExpression><![CDATA[$F{CA_ADDR_NAME}]]></textFieldExpression>
						</textField>
						<textField isBlankWhenNull="true">
							<reportElement x="330" y="0" width="57" height="30" uuid="f3bcbb96-d85b-4247-bfbf-a0e1b4ae3c65"/>
							<box>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textFieldExpression><![CDATA[$F{UI}]]></textFieldExpression>
						</textField>
						<textField isBlankWhenNull="true">
							<reportElement x="330" y="30" width="57" height="30" uuid="a848af4a-3f08-4834-9c47-6ae6f64365f2"/>
							<box>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textFieldExpression><![CDATA[$F{MRU_ID}]]></textFieldExpression>
						</textField>
						<textField isBlankWhenNull="true">
							<reportElement x="387" y="0" width="212" height="30" uuid="b2b190c8-ed9d-413d-971a-4305ef1e334e"/>
							<box>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textFieldExpression><![CDATA[$F{REQUEST_NAME}]]></textFieldExpression>
						</textField>
						<textField isBlankWhenNull="true">
							<reportElement x="387" y="30" width="212" height="30" uuid="4cfdce63-652f-4a35-9067-d7addf6f48c7"/>
							<box>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textFieldExpression><![CDATA[$F{COMMAND_NAME}]]></textFieldExpression>
						</textField>
						<textField isBlankWhenNull="true">
							<reportElement x="599" y="0" width="151" height="30" uuid="c216fb6e-f2b5-4f5c-b7c8-ba9716f2918e"/>
							<box>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textFieldExpression><![CDATA[th.or.mea.scs.util.DateUtils.toDateDDMMYYYYSimpleFormat($F{WORK_DATE},$P{P_LANGUAGE})]]></textFieldExpression>
						</textField>
						<textField isBlankWhenNull="true">
							<reportElement x="599" y="30" width="151" height="60" uuid="f136cf92-cfdf-43c5-a107-e0583a7f3875"/>
							<textFieldExpression><![CDATA[$F{CAUSE_NAME}]]></textFieldExpression>
						</textField>
						<textField isBlankWhenNull="true">
							<reportElement x="750" y="0" width="50" height="90" uuid="361bbe4a-9cbc-4848-870b-65ae44a4459f"/>
							<box>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textFieldExpression><![CDATA[$F{WORK_TASK}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="520" y="90" width="281" height="30" uuid="84f7c98f-e945-4939-93ba-e4f61d345888"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd">
					<datasetRun subDataset="summarydataset" uuid="f7a0b351-41be-4e4e-9743-5890e9d8138e">
						<datasetParameter name="P_DIST_ID">
							<datasetParameterExpression><![CDATA[$P{P_DIST_ID}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="P_LANGUAGE">
							<datasetParameterExpression><![CDATA[$P{P_LANGUAGE}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="P_GROUP_WORK_DIVISION">
							<datasetParameterExpression><![CDATA[$P{P_GROUP_WORK_DIVISION}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="P_WORK_EMP_ID">
							<datasetParameterExpression><![CDATA[$P{P_WORK_EMP_ID}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="P_START_DATE">
							<datasetParameterExpression><![CDATA[$P{P_START_DATE}]]></datasetParameterExpression>
						</datasetParameter>
						<datasetParameter name="P_END_DATE">
							<datasetParameterExpression><![CDATA[$P{P_END_DATE}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="30" width="281">
						<textField>
							<reportElement x="0" y="0" width="100" height="30" uuid="a77b4250-3043-4a87-bfae-c8445deb9014"/>
							<textFieldExpression><![CDATA[$F{TOTALREQ}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
		</band>
	</detail>
	<columnFooter>
		<band height="45" splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="54" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="42" splitType="Stretch"/>
	</summary>
</jasperReport>
